V1.0
get
/ec-dc-svc/rest/v1.0/studies/{studyId}/{mode}/ehrdata/medicalrecordnumber/{siteId}/{medicalRecordNumber}
Retrieves patient information based on the Medical Record Number (MRN). If MRN is not found, returns an empty response.
Request
Path Parameters
-
medicalRecordNumber(required): string
Medical Record Number (MRN) for which we need to fetch patient information.Example:
MRN13456 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
siteId(required): string(uuid)
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : EHRtoEDCPatientInfoDTO
Type:
objectDTO representing detailed EHR patient demographics for MRN-based lookup.
Show Source
-
address: object
EHRtoEDCAddressDTO
Simple postal address details for an EHR patient.
-
dateOfBirth: string
(date)
Date of birth in ISO format YYYY-MM-DD.Example:
1979-03-22 -
gender: string
Gender/sex of the patient (e.g. 'MALE', 'FEMALE').Example:
FEMALE -
id: string
Uppercase HEX patient unique identifier.Example:
C0A8010AC8ED432F8A2AD12B28F95C84 -
mrn: string
Medical record number for patient.Example:
MRN13456 -
name: string
Patient's full name.Example:
Jane Doe
Nested Schema : EHRtoEDCAddressDTO
Type:
objectSimple postal address details for an EHR patient.
Show Source
-
city: string
Name of the city for patient residence.Example:
Los Angeles -
state: string
Two-letter state code.Example:
CA
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.